ru.bitel.bgbilling.modules.inet.access.event

## Class InetServDeviceStateAndOptionsModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.inet.access.event.InetServDeviceStateAndOptionsModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetServDeviceStateAndOptionsModifyEvent
      extends QueueEvent

  Событие на изменение статуса сервиса в БД.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetServDeviceStateAndOptionsModifyEvent()`
    `` | `InetServDeviceStateAndOptionsModifyEvent(int moduleId, int deviceId, int contractId, int inetServId, short state, java.util.Set<java.lang.Integer> optionSet, int accessCode)`
    `` | `InetServDeviceStateAndOptionsModifyEvent(int moduleId, int deviceId, int inetContractServId, short state, java.util.Set<java.lang.Integer> optionSet, int accessCode)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCode()`
    `int` | `getDeviceId()`
    `java.util.Set<java.lang.Integer>` | `getDeviceOptions()`
    `short` | `getDeviceState()`
    `int` | `getInetServId()`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServDeviceStateAndOptionsModifyEvent

          protected InetServDeviceStateAndOptionsModifyEvent()

    - #### InetServDeviceStateAndOptionsModifyEvent

          @Deprecated
          public InetServDeviceStateAndOptionsModifyEvent(int moduleId,
                                                                      int deviceId,
                                                                      int inetContractServId,
                                                                      short state,
                                                                      java.util.Set<java.lang.Integer> optionSet,
                                                                      int accessCode)

      Deprecated.

    - #### InetServDeviceStateAndOptionsModifyEvent

          public InetServDeviceStateAndOptionsModifyEvent(int moduleId,
                                                          int deviceId,
                                                          int contractId,
                                                          int inetServId,
                                                          short state,
                                                          java.util.Set<java.lang.Integer> optionSet,
                                                          int accessCode)

  - ### Method Detail

    - #### getDeviceId

          public int getDeviceId()

    - #### getInetServId

          public int getInetServId()

    - #### getDeviceState

          public short getDeviceState()

    - #### getDeviceOptions

          public java.util.Set<java.lang.Integer> getDeviceOptions()

    - #### getAccessCode

          public int getAccessCode()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`